restinio::easy_parser::impl::field_setter_consumer_t< F, C > Class Template Reference

A template for consumers that store a value to the specified field of a target object. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::field_setter_consumer_t< F, C >:

## Public Member Functions

| field_setter_consumer_t (pointer_t ptr) noexcept
void | consume (C &to, F &&value) const noexcept(noexcept(to.*m_ptr=std::move(value)))

## Private Types

using | pointer_t = F C::*

## Private Attributes

pointer_t | m_ptr

## Additional Inherited Members

Static Public Attributes inherited from restinio::easy_parser::impl::consumer_tag
static constexpr entity_type_t | entity_type = entity_type_t::consumer

## Detailed Description

template<typename F, typename C>
class restinio::easy_parser::impl::field_setter_consumer_t< F, C >

A template for consumers that store a value to the specified field of a target object.

Template Parameters

  F | type of the target field
  C | type of the target object.

Since
  v.0.6.1

Definition at line 2968 of file easy_parser.hpp.

## Member Typedef Documentation

## pointer_t

template<typename F , typename C >

using restinio::easy_parser::impl::field_setter_consumer_t< F, C >::pointer_t = F C::*

private

Definition at line 2970 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## field_setter_consumer_t()

template<typename F , typename C >

restinio::easy_parser::impl::field_setter_consumer_t< F, C >::field_setter_consumer_t | ( | pointer_t | ptr | ) |

inlinenoexcept

Definition at line 2975 of file easy_parser.hpp.

## Member Function Documentation

## consume()

template<typename F , typename C >

void restinio::easy_parser::impl::field_setter_consumer_t< F, C >::consume | ( | C & | to,
|  | F && | value
| ) |  | const

inlinenoexcept

Definition at line 2984 of file easy_parser.hpp.

## Member Data Documentation

## m_ptr

template<typename F , typename C >

pointer_t restinio::easy_parser::impl::field_setter_consumer_t< F, C >::m_ptr

private

Definition at line 2972 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp